<div class="add_task">

  <form  [formGroup]="taskForm" (ngSubmit)="onSubmit()"  >
    <div id=div_decription class="add_task__input">
      <label for="description">Description</label>
      <input
        id="description"
        formControlName="description"
        placeholder="Description" pInputText
        required
      />
    <p class="error" *ngIf="taskForm.invalid&&taskForm.touched">You need to provide description</p></div>
    <div class="add_task__input">
      <label for="start">Start time</label>
      <p-calendar
        id="start"
        formControlName="start"
        [showTime]="true"
        dateFormat="dd.mm.yy"
        [hourFormat]="'24'"
      ></p-calendar>
    </div>
    <div class="add_task__input" >
      <label for="end">End time</label>
      <p-calendar
        id="end"
        formControlName="end"
        [showTime]="true"
        dateFormat="dd.mm.yy"
        [hourFormat]="'24'"
      ></p-calendar>
    </div>
    <button *ngIf="taskForm.valid" type="submit">Create Task</button>

  </form>
  <div class="add_task__timer">
    <p class="add_task_timer__label">Timer</p>
    <p class="add_task__timer_time ">{{spent|timepipe }} </p>
  </div>
  <button *ngIf="!running;else stopButton" type="button" (click)="startTimer()" >Start New Task</button>
  <ng-template #stopButton>
    <button type="button" (click)="stopTimer()">Stop Timer</button>
  </ng-template>
</div>
